Bug 32514 - out of memory using -fprofile-generate
Summary: out of memory using -fprofile-generate
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.3.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks: 29975
  Show dependency treegraph
 
Reported: 2007-06-26 15:32 UTC by Joost VandeVondele
Modified: 2007-07-06 08:23 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joost VandeVondele 2007-06-26 15:32:31 UTC
the source made available as

http://www.pci.unizh.ch/vandevondele/tmp/CP2K_gcc_2007_06.tgz

gfortran -O1 -fprofile-generate all.f90 

fails with 

f951: out of memory allocating 90000 bytes after a total of 1076375552 bytes

even though the machine has 64Gb of ram, and according to top f951 uses only about  4Gb.

This problem seems similar to PR 32439 (out of memory for -O1 -fbounds-check)
Comment 1 Joost VandeVondele 2007-06-27 07:35:13 UTC
this is for:

Target: x86_64-unknown-linux-gnu
Configured with: /data03/vondele/gcc_trunk/gcc/configure --prefix=/data03/vondele/gcc_trunk/build --with-gmp=/data03/vondele/ --with-mpfr=/data03/vondele/ --enable-languages=c,fortran
Thread model: posix
gcc version 4.3.0 20070626 (experimental)
Comment 2 Joost VandeVondele 2007-07-06 08:23:21 UTC
closing as magically fixed